Subject: bug#26998: 25.2; Please don't curly quote example code in docstring.

From: [email-masked]
Date: Sat, 20 May 2017 18:44:54 -0400

Thierry Volpiatto <[email-masked]> writes:
>
> I don't follow anymore those lists, is this documented somewhere ?

See `(elisp) Keys in Documentation'.

>> So I guess all existing lisp doc-strings everywhere are supposed to be
>> audited for use of ' and \= escapes added where needed.
>
> Also I guess this is not compatible with older emacs ?...

Actually, I see it's documented as far back as 19.34 (earliest tag I can
find...).

> I found `text-quoting-style' which is nil by default which seems to be
> same as 'curve, setting it to 'grave fixed my docstrings, would be great
> to make 'grave the default.

Even if 'grave' was the default, the docstrings with unescaped quotes
would still be broken for people who chose 'curve'.